C*********************************************************************
C*********************************************************************
C** 
C**  File: readbin.inc
C**
C**  Description: Contains the COMMON variables used by
C**               readbin.for
C**
C**  Date: 8th January 2004
C**
C*********************************************************************
C**
C** Copyright (c) 2004 Scott A. Belmonte
C** All rights reserved.
C**
C** Redistribution and use in source and binary forms, with or without 
C** modification, are permitted provided that the following conditions
C** are met:
C**
C** Redistributions of source code must retain the above copyright
C** notice, this list of conditions and the following disclaimer.
C**
C** Redistributions in binary form must reproduce the above copyright
C** notice, this list of conditions and the following disclaimer in
C** the documentation and/or other materials provided with the
C** distribution.
C**
C** Neither the name of the copyright holder nor the names of any
C** contributors may be used to endorse or promote products derived
C** from this software without specific prior written permission.
C**
C** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
C** CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
C** INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
C** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
C** DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
C** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
C** EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
C** TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
C** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
C** ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
C** TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
C** THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
C** SUCH DAMAGE.
C**
C*********************************************************************
C*********************************************************************
C
      INTEGER REC_SIZE  ! The file record size in bytes
      INTEGER UNT       ! The unit number that file is opened on
      PARAMETER (REC_SIZE = 2048)
      PARAMETER (UNT = 11)
C
      BYTE    BUFFER(REC_SIZE) ! Read buffer for records
      INTEGER LAST_REC         ! The last record read into BUFFER
      LOGICAL BIG_END          ! .TRUE. if the file is big endian
      LOGICAL SWAP             ! If .TRUE. the bytes need to be
C                              ! before they can be used
      COMMON /BIN_FILE/ BUFFER, LAST_REC, BIG_END, SWAP
      SAVE /BIN_FILE/
C 
